package sun.text;

import sun.text.normalizer.NormalizerBase;

public class CollatorUtilities
{
    static NormalizerBase.Mode[] legacyModeMap;
    
    public CollatorUtilities() {
    }
    
    public static int toLegacyMode(NormalizerBase.Mode mode) {
        int i = CollatorUtilities.legacyModeMap.length;
        while (i > 0) {
            --i;
            if (CollatorUtilities.legacyModeMap[i] == mode) {
                break;
            }
            continue;
        }
        return i;
    }
    
    public static NormalizerBase.Mode toNormalizerMode(int n) {
        NormalizerBase.Mode none;
        try {
            none = CollatorUtilities.legacyModeMap[n];
        }
        catch (ArrayIndexOutOfBoundsException ex) {
            none = NormalizerBase.NONE;
        }
        return none;
    }
    
    static {
        CollatorUtilities.legacyModeMap = new NormalizerBase.Mode[] { NormalizerBase.NONE, NormalizerBase.NFD, NormalizerBase.NFKD };
    }
}
